- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Attributes

# ElementBase Class Reference

Search for all occurrences

## Detailed Description

Representing a common COLLADA element.

Definition at line 167 of file fbxcolladaelement.h.

`#include <fbxcolladaelement.h>`

Inheritance diagram for ElementBase:
[legend]

List of all members.

## Public Types
enum | { MATRIX_STRIDE = 16 }
## Public Member Functions
| ElementBase ()
| Constructor & Destructor.
virtual | ~ElementBase ()
void | SetXMLElement (xmlNode *pElement)
| Access for XML element.
xmlNode * | GetXMLElement () const
const FbxString & | GetID () const
| Get the ID of the element.
const FbxSystemUnit * | GetUnit () const
| Get the unit of the element, which takes effect in this element and its children elements.
## Static Public Attributes
static const FbxString | smID_PROPERTY_NAME

## Member Enumeration Documentation

anonymous enum

Search for all occurrences

Enumerator:

  MATRIX_STRIDE | Search for all occurrences

Definition at line 170 of file fbxcolladaelement.h.

        {
            MATRIX_STRIDE = 16,
        };

## Constructor & Destructor Documentation

ElementBase | ( |  | ) |

Constructor & Destructor.

virtual ~ElementBase | ( |  | ) | `[virtual]`

## Member Function Documentation

void SetXMLElement | ( | xmlNode * | pElement | ) | `[inline]`

Search for all occurrences

Access for XML element.

Definition at line 185 of file fbxcolladaelement.h.

    { mXMLElement = pElement; }

xmlNode* GetXMLElement | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 186 of file fbxcolladaelement.h.

    { return mXMLElement; }

const FbxString& GetID | ( |  | ) | const

Search for all occurrences

Get the ID of the element.

Returns:
  Return the ID string.

const FbxSystemUnit* GetUnit | ( |  | ) | const

Search for all occurrences

Get the unit of the element, which takes effect in this element and its children elements.

Returns:
  Return the unit.

## Member Data Documentation

const FbxString smID_PROPERTY_NAME `[static]`

Search for all occurrences

Definition at line 176 of file fbxcolladaelement.h.

The documentation for this class was generated from the following file:

- fbxsdk/fileio/collada/fbxcolladaelement.h

ElementBase ElementBase ElementBase ElementBase ElementBase ElementBase ElementBase ElementBase ElementBase ElementBase
ElementBase ElementBase ElementBase ElementBase ElementBase ElementBase ElementBase ElementBase ElementBase ElementBase